--- old/usr/src/tools/smatch/src/smatch_param_filter.c	Mon Aug  5 08:38:40 2019
+++ new/usr/src/tools/smatch/src/smatch_param_filter.c	Mon Aug  5 08:38:40 2019
@@ -148,6 +148,11 @@
 		return;
 	}
 
+	if (is_ignored_kernel_data(param_name)) {
+		insert_string(totally_filtered, (char *)sm->name);
+		return;
+	}
+
 	sql_insert_return_states(return_id, return_ranges, PARAM_FILTER, param,
 			param_name, show_rl(estate_rl(sm->state)));
 }
@@ -198,6 +203,7 @@
 {
 	my_id = id;
 
+	set_dynamic_states(my_id);
 	add_hook(&save_start_states, AFTER_DEF_HOOK);
 	add_hook(&free_start_states, AFTER_FUNC_HOOK);
 
